Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.text.shared
Class AbstractSafeHtmlRenderer<T>

    java.lang.Object
      com.google.gwt.text.shared.AbstractSafeHtmlRenderer<T>

Type Parameters:
  `T` - the type to render

All Implemented Interfaces:
  SafeHtmlRenderer<T>

Direct Known Subclasses:
  ImageResourceRenderer

    public abstract class AbstractSafeHtmlRenderer<T>

extends java.lang.Object
implements SafeHtmlRenderer<T>

Abstract implementation of a safe HTML renderer to make implementation of rendering simpler.

Constructor Summary
`AbstractSafeHtmlRenderer()`

Method Summary
`void` | `render(T object, SafeHtmlBuilder appendable)` Renders `object` as safe HTML, appended directly to `builder`.
`protected SafeHtml` | `toSafeHtml(java.lang.Object obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gwt.text.shared.SafeHtmlRenderer
`render`

Constructor Detail

### AbstractSafeHtmlRenderer

    public AbstractSafeHtmlRenderer()

Method Detail

### render

    public void render(T object,
                       SafeHtmlBuilder appendable)

  Description copied from interface: `SafeHtmlRenderer`
  Renders `object` as safe HTML, appended directly to `builder`.

  Specified by:
    `render` in interface `SafeHtmlRenderer<T>`

### toSafeHtml

    protected SafeHtml toSafeHtml(java.lang.Object obj)

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD